Summary: A debugger which detects memory allocation violations.
Summary(de): Debugger zum Erkennen von Speicherzugriffsverletzungen
Name: ElectricFence
Version: 2.2.0
Release: 10mdk
Exclusivearch: i386 i486 i586 i686 k6 k7 sparc ppc
Copyright: GPL
Group: Development/Other
Source: ftp://ftp.ecrc.net/pub/netsw/System/Libs/Memory/Debug/ElectricFence-2.2.0.tar.bz2
Patch1: ElectricFence-2.0.5-longjmp.patch.bz2
Patch2: ElectricFence-2.1-va_arg.patch.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-build

%description
If you know what malloc() violations are, you'll be interested in
ElectricFence. ElectricFence is a tool which can be used for
C programming and debugging. It uses the virtual memory 
hardware of your system to detect when software overruns 
malloc() buffer boundaries, and/or to detect any accesses of
memory released by free(). ElectricFence will then stop 
the program on the first instruction that caused a bounds 
violation and you can use your favorite debugger to 
display the offending statement.

This package will install ElectricFence, which you can
use if you're searching for a debugger to find
malloc() violations.

%description -l de
Wenn Sie wissen, was malloc()-Verletzungen sind, sind Sie wahrscheinlich an 
ElectricFence interessiert. ElectricFence ist ein Tool, das zur C-
Programmierung und zum Debugging benutzt werden kann. Es benutzt virtuelle
Speicherhardware, um zu erkennen, wenn Software malloc()-Buffergrenzen
bersteigt, und wenn Speicher mit free() freigegeben wird.
ElectricFence beendet das Programm bei der Instruktion, die die
Speicherverletzung ausgelst hat, und Sie knnen Ihren Lieblingsdebugger
benutzen, um den Befehl anzuzeigen.

%prep
%setup -q
%patch1 -p1 -b .jmp
%ifarch ppc
%patch2 -p1 -b .va
%endif

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/{bin,lib,man/man3}

make prefix=$RPM_BUILD_ROOT/usr/ install

find $RPM_BUILD_ROOT/ -type 'f'|grep -E '.*[0-9]($|x)' | xargs file \
	| grep troff | cut -d: -f1 | xargs bzip2 -9

chmod a+x $RPM_BUILD_ROOT/usr/lib/libefence.so*

for i in `find $RPM_BUILD_ROOT/ -type 'f' -perm '+a=x' ! -name 'lib*so*'`; do
	file $i |grep -q "not stripped" && strip $i
done

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc README CHANGES COPYING
/usr/lib/libefence*
/usr/bin/ef
/usr/man/man3/efence.3.bz2

%changelog
* Mon Apr 17 2000 Christopher Molnarc <molnarc@mandrakesoft.com> 2.2.0-10mdk
- new post and postun sections, call ldconfig
- split into ElectricFence and ElectricFence-devel

* Tue Apr 11 2000 Christopher Molnarc <molnarc@mandrakesoft.com> 2.2.0-9mdk
- new group Development/Other

* Wed Apr  5 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 2.2.0-8mdk
- updated BuildRoot
- new group Development/Debuggers

* Sun Mar 19 2000 John Buswell <johnb@mandrakesoft.com> 2.2.0-7mdk
- Added va patch for PPC

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.0-6mdk
- don't use broken Excludearch but use Exclusivearch to exclude alpha.

* Fri Nov 26 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- fix lib perms

* Thu Oct  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Rewrite the spec to be usuable (#279).

* Sat Jul 17 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.de>
- 2.2.0

* Sun Jul  4 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- bzip2 manpage

* Tue May 04 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions
- handle RPM_OPT_FLAGS
- add de locale

* Sat Apr 10 1999 Matt Wilson <msw@redhat.com>
- version 2.1

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 13)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Fri Aug 21 1998 Jeff Johnson <jbj@redhat.com>
- create efence.3 (problem #830)

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- need to use sigsetjmp() and siglongjmp() for proper testing

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- use ExcludeArch instead of Exclude

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc
